System Requirements

Browsers:

  • Internet Explorer - current or immediately previous version
  • Mozilla Firefox - current or immediately previous version
  • Google Chrome - latest version
  • Safari - latest version

Although Office Online will work with older versions of these browsers, their functionality may be limited. For more details on Office 365 supported browsers, click here.

Operating System:

Office 365 does not have an operating system requirement. The operating system must be recent and supported by its manufacturer. Older operating systems, such as Windows XP may still work with Office 365, with limited functionality.

Microsoft Office Suite:

  • Office 2013
  • Office for Mac 2011
  • Office 2010